Package ru.bitel.bgbilling.apps.tv.access.om

# Class AbstractOrderEvent

java.lang.Object
ru.bitel.bgbilling.apps.tv.access.om.AbstractOrderEvent

All Implemented Interfaces:
  `ContractIdable`

Direct Known Subclasses:
  `AccountOrderEvent`, `ProductOrderEvent`

public abstract class AbstractOrderEvent extends Object implements ContractIdable

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected boolean`
  `filterByDepends`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractOrderEvent(ru.bitel.bgbilling.apps.tv.access.TvAccess tvAccess, ru.bitel.bgbilling.kernel.event.common.Event event, int deviceId, TvAccountRuntime tvAccountRuntime, int eventType, int tvAccountId, TvAccountSpec tvAccountSpec, Set<Integer> oldDeviceOptionIds, Set<Integer> newDeviceOptionIds)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected final Map<Integer,ProductSpecRuntime>`
  `filterProductSpecByDepends(Map<Integer,ProductSpecRuntime> map)`
  `int`
  `getContractId()`
  Возвращает id договора
  `Set<Integer>`
  `getDeviceOptionIdsToDisable()`
  `Set<Integer>`
  `getDeviceOptionIdsToEnable()`
  `List<ProductSpec>`
  `getDeviceOptionProductSpecSetToDisable()`
  `List<ProductSpec>`
  `getDeviceOptionProductSpecSetToEnable()`
  `final List<ProductEntry>`
  `getFullProductEntryList(short newState)`
  Deprecated.
  `abstract List<ProductEntry>`
  `getFullProductEntryListToEnable()`
  `protected abstract Map<Integer,ProductSpecRuntime>`
  `getFullProductSpecRuntimeMapToEnable()`
  `Set<ProductSpecRuntime>`
  `getFullProductSpecRuntimeSetToEnable()`
  `Set<ProductSpec>`
  `getFullProductSpecSetToEnable()`
  `Set<ServiceSpecRuntime>`
  `getFullServiceSpecRuntimeSetToEnable()`
  `Set<ServiceSpec>`
  `getFullServiceSpecSetToEnable()`
  `Set<TvChannelSpec>`
  `getFullTvChannelSpecSetToEnable()`
  `Set<Integer>`
  `getNewDeviceOptionIds()`
  `List<ProductSpec>`
  `getNewDeviceOptionProductSpecs()`
  `Set<Integer>`
  `getOldDeviceOptionIds()`
  `List<ProductSpec>`
  `getOldDeviceOptionProductSpecs()`
  `List<ProductSpec>`
  `getProductSpecList(Collection<Integer> productSpecIds)`
  `List<ProductSpecRuntime>`
  `getProductSpecRuntimeList(Collection<Integer> productSpecIds)`
  `static List<TvAccount>`
  `getTvAccountChildren(TvAccountRuntimeMap tvAccountRuntimeMap, int tvAccountId, long millis)`
  `int`
  `getTvAccountId()`
  `TvAccountRuntime`
  `getTvAccountRuntime()`
  `boolean`
  `isFilterByDepends()`
  `boolean`
  `isOptionsModified()`
  `void`
  `setFilterByDepends(boolean filterByDepends)`
  `void`
  `setNewDeviceOptionIds(Set<Integer> newDeviceOptionIds)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### filterByDepends

    protected boolean filterByDepends

- ## Constructor Details

  - ### AbstractOrderEvent

    public AbstractOrderEvent(ru.bitel.bgbilling.apps.tv.access.TvAccess tvAccess, ru.bitel.bgbilling.kernel.event.common.Event event, int deviceId, TvAccountRuntime tvAccountRuntime, int eventType, int tvAccountId, TvAccountSpec tvAccountSpec, Set<Integer> oldDeviceOptionIds, Set<Integer> newDeviceOptionIds)

- ## Method Details

  - ### getContractId

    public int getContractId()
    Description copied from interface: `ContractIdable`
    Возвращает id договора
    Specified by:
      `getContractId` in interface `ContractIdable`
    Returns:

  - ### getTvAccountId

    public int getTvAccountId()

  - ### getTvAccountRuntime

    public TvAccountRuntime getTvAccountRuntime()

  - ### getFullProductEntryList

    @Deprecated public final List<ProductEntry> getFullProductEntryList(short newState) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getFullProductEntryListToEnable

    public abstract List<ProductEntry> getFullProductEntryListToEnable() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getFullProductSpecRuntimeMapToEnable

    protected abstract Map<Integer,ProductSpecRuntime> getFullProductSpecRuntimeMapToEnable() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getFullProductSpecRuntimeSetToEnable

    public Set<ProductSpecRuntime> getFullProductSpecRuntimeSetToEnable() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getFullProductSpecSetToEnable

    public Set<ProductSpec> getFullProductSpecSetToEnable() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getFullServiceSpecSetToEnable

    public Set<ServiceSpec> getFullServiceSpecSetToEnable() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getFullServiceSpecRuntimeSetToEnable

    public Set<ServiceSpecRuntime> getFullServiceSpecRuntimeSetToEnable() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getFullTvChannelSpecSetToEnable

    public Set<TvChannelSpec> getFullTvChannelSpecSetToEnable() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### isOptionsModified

    public boolean isOptionsModified()

  - ### getOldDeviceOptionIds

    public Set<Integer> getOldDeviceOptionIds()

  - ### getNewDeviceOptionIds

    public Set<Integer> getNewDeviceOptionIds()

  - ### getDeviceOptionIdsToEnable

    public Set<Integer> getDeviceOptionIdsToEnable()

  - ### getDeviceOptionIdsToDisable

    public Set<Integer> getDeviceOptionIdsToDisable()

  - ### setNewDeviceOptionIds

    public void setNewDeviceOptionIds(Set<Integer> newDeviceOptionIds)

  - ### getProductSpecList

    public List<ProductSpec> getProductSpecList(Collection<Integer> productSpecIds) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getProductSpecRuntimeList

    public List<ProductSpecRuntime> getProductSpecRuntimeList(Collection<Integer> productSpecIds) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getDeviceOptionProductSpecSetToEnable

    public List<ProductSpec> getDeviceOptionProductSpecSetToEnable() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getDeviceOptionProductSpecSetToDisable

    public List<ProductSpec> getDeviceOptionProductSpecSetToDisable() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getNewDeviceOptionProductSpecs

    public List<ProductSpec> getNewDeviceOptionProductSpecs() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getOldDeviceOptionProductSpecs

    public List<ProductSpec> getOldDeviceOptionProductSpecs() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### isFilterByDepends

    public boolean isFilterByDepends()

  - ### setFilterByDepends

    public void setFilterByDepends(boolean filterByDepends)

  - ### filterProductSpecByDepends

    protected final Map<Integer,ProductSpecRuntime> filterProductSpecByDepends(Map<Integer,ProductSpecRuntime> map)

  - ### getTvAccountChildren

    public static List<TvAccount> getTvAccountChildren(TvAccountRuntimeMap tvAccountRuntimeMap, int tvAccountId, long millis)